<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFolder Method (IEdmBatchListing)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchListing Interface : AddFolder Method (IEdmBatchListing)

Visual Basic
C#
C++/CLI

oIdOrPath
  ID of folder to add; path is not supported in SOLIDWORKS PDM 2010

lParam
  Caller-defined argument

lEdmListFolderFlags
  Only EdmListFiolderFlags.EdmListFolder_Recursive is supported

Adds a folder to the batch of folders for which to create a listing.

# Syntax

Visual Basic |
--- | ---

    Sub AddFolder( _
       ByVal oIdOrPath As System.Object, _
       ByVal lParam As System.Integer, _
       Optional ByVal lEdmListFolderFlags As System.Integer _
    )

C# |
--- | ---

    void AddFolder(
       System.object oIdOrPath,
       System.int lParam,
       System.int lEdmListFolderFlags
    )

C++/CLI |
--- | ---

    void AddFolder(
    &   System.Object^ oIdOrPath,
    &   System.int lParam,
    &   System.int lEdmListFolderFlags
    )

#### Parameters

oIdOrPath
  ID of folder to add; path is not supported in SOLIDWORKS PDM 2010
lParam
  Caller-defined argument
lEdmListFolderFlags
  Only EdmListFiolderFlags.EdmListFolder_Recursive is supported

# Remarks

After calling this method for each folder whose properties you want to list, call IEdmBatchListing::CreateList to create a listing of all the folders' properties.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchListing Interface
IEdmBatchListing Members

# Availability

SOLIDWORKS PDM 2010